.page-header {
  background: var(--blue-500);
}

.page-header-wrapper {
  display: flex;
  justify-content: space-around;
  padding: 18px;
  align-items: center;
  border-bottom: 1px solid var(--gray-500);
}

.page-header-search-wrapper {
  display: flex;
  justify-content: space-between;
  width: 100%;
  max-width: 264px;
  height: 32px;
  border-radius: 5px;
  padding: 8px 12px;
  background: var(--white);
}

.page-header-search-box {
  border: 0;
  outline: 0;
  width: 100%;
  max-width: 264px;
}

.page-header-search-box::placeholder {
  color: var(--gray-500);
  font-size: 14px;
  line-height: 16px;
}

.page-header-search-button,
.page-header-user-sign-in,
.page-header-user-button {
  background: transparent;
  outline: 0;
  border: 0;
  cursor: pointer;
}

.page-header-search-icon {
  display: block;
  max-width: 18px;
  max-height: 18px;
}

.page-header-user-wrapper {
  display: flex;
  align-items: center;
  gap: 40px;
}

.page-header-user-sign-in {
  color: var(--white);
  font-size: 14px;
  line-height: 16px;
}

.page-header-cart-icon {
  display: block;
  width: 100%;
  max-width: 28px;
}

.mobile-navbar-isShowed,
.mobile-navbar-isHidden {
  position: absolute;
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 100%;
  left: 0;
  gap: 22px;
  padding: 28px 16px 8px;
  border-radius: 8px;
  background: var(--blue-700);
  transition: transform 0.4s ease-in-out;
}

.mobile-navbar-isShowed a,
.mobile-navbar-isHidden a {
  font-weight: 500;
  font-size: 16px;
  line-height: 18px;
  text-decoration: none;
  color: var(--white);
}

.mobile-navbar-isShowed {
  transform: translateX(0%);
}

.mobile-navbar-isHidden {
  transform: translateX(-100%);
}

@media screen and (min-width: 720px) {
  .mobile-wrapper {
    display: none;
  }
}

@media screen and (max-width: 719px) {
  .page-header-wrapper {
    display: none;
  }

  .mobile-wrapper {
    padding: 16px;
  }

  .mobile-header-navbar {
    display: flex;
    justify-content: space-between;
    padding: 32px 0;
  }

  .mobile-header-navbar-button,
  .mobile-header-cart-button {
    background: transparent;
    outline: 0;
    border: 0;
  }

  .mobile-header-navbar-button,
  .mobile-header-navbar-icon {
    width: 100%;
    height: 100%;
    max-width: 28px;
    max-height: 22px;
  }

  .mobile-header-cart-button,
  .mobile-header-cart-icon {
    max-width: 24px;
  }

  .mobile-header-search-wrapper {
    width: 100%;
    display: flex;
    justify-content: space-between;
    height: 36px;
    border-radius: 5px;
    padding: 10px 16px;
    background: var(--white);
  }

  .mobile-header-search-box,
  .mobile-header-search-button {
    background: transparent;
    outline: 0;
    border: 0;
  }

  .mobile-header-search-box {
    width: 100%;
  }

  .mobile-header-search-box::placeholder {
    color: var(--gray-500);
    font-size: 14px;
    line-height: 16px;
  }

  .mobile-header-search-icon {
    display: block;
    max-width: 18px;
    max-height: 18px;
  }
}
